import { useTranslations } from "next-intl";
import {
  Components,
  DashBoard,
  Stacks2,
  Map,
  Grid,
  Files,
  ClipBoard,
  Flag,
  Book,
  Note,
  Sheild,
  Error,
} from "@/components/svg";
import SettingsApplicationsIcon from "@mui/icons-material/SettingsApplications";


import DashboardIcon from '@mui/icons-material/Dashboard';
import AccountCircleIcon from '@mui/icons-material/AccountCircle';
import SettingsIcon from '@mui/icons-material/Settings';
import PaidIcon from '@mui/icons-material/Paid';
import NotificationsIcon from '@mui/icons-material/Notifications';
import NewspaperIcon from '@mui/icons-material/Newspaper';
import WalletIcon from '@mui/icons-material/Wallet';
import LockResetIcon from '@mui/icons-material/LockReset';
import FiberPinIcon from '@mui/icons-material/FiberPin';
import AdminPanelSettingsIcon from '@mui/icons-material/AdminPanelSettings';
import MailIcon from '@mui/icons-material/Mail';
import ContrastIcon from '@mui/icons-material/Contrast';
import AddIcon from '@mui/icons-material/Add';
import ListIcon from '@mui/icons-material/List';
import AccountBalanceIcon from '@mui/icons-material/AccountBalance';
import { IndianRupee } from "lucide-react";
import { PieChartSharp } from "@mui/icons-material";


const Home = () => {
  const t = useTranslations("Menu");

  return {
    sidebarD: {
      modern: [
        {
          title: "Dashboard",
          name: t("Dashboard"),
          icon: DashBoard,
          href: "/admin/dashboard",
          // child: [
          //   {
          //     title: t("Admin_Dashboard"),
          //     href: "/admin/dashboard",
          //     icon: DashboardIcon,
          //   },
          //   {
          //     title: t("Services_Dashboard"),
          //     href: "/admin/services",
          //     icon: DashboardIcon,
          //   },
          // ],
        },
        {
          title: t("My_Profile"),
          icon: AccountCircleIcon,
          child: [
            {
              title: t("Profile"),
              href: "/admin/profile",
              icon: AccountCircleIcon,
            },
            {
              title: t("Change_Mpin"),
              href: "/admin/set-new-mpin",
              icon: FiberPinIcon,
            },
            {
              title: t("Change_Password"),
              icon: FiberPinIcon,
              href: "/admin/update-password",
            },
            {
              title: t("My_Commission"),
              icon: IndianRupee,
              href: "/admin/setting/my-commission/list",
            },
          ],
        },
        {
          title: t("Members"),
          icon: Components,
          child: [
            {
              title: t("Add_Member"),
              href: "/admin/members/add",
              icon: AdminPanelSettingsIcon,
            },
            {
              title: t("Retailer"),
              icon: AdminPanelSettingsIcon,
              href: "/admin/members/retailer",
            },
          ],
        },
        {
          title: t("Setting"),
          icon: SettingsIcon,
          child: [
            {
              title: "Upgrade To Pro",
              icon: IndianRupee,
              href: "/admin/plan-list/view",
            },
          ],
        },
        {
          title: t("Fund"),
          icon: IndianRupee,
          child: [
            {
              title: 'Create Fund Request',
              icon: IndianRupee,
              href: "/admin/fund/add",
            },
            {
              title: t("Fund_Request"),
              icon: IndianRupee,
              href: "/admin/fund/list",
            },
          ],
        },

        {
          title: t("Ticket"),
          icon: ClipBoard,
          child: [
            {
              title: t("Create"),
              icon: ClipBoard,
              href: "/admin/ticket/create",
            },
            {
              title: t("Answered"),
              icon: ClipBoard,
              href: "/admin/ticket/list/answered",
            },
            {
              title: t("Re_Open"),
              icon: ClipBoard,
              href: "/admin/ticket/list/open",
            },
            {
              title: t("In_Progress"),
              icon: ClipBoard,
              href: "/admin/ticket/list/in-progress",
            },
            {
              title: t("Closed"),
              icon: ClipBoard,
              href: "/admin/ticket/list/closed",
            },
            {
              title: t("Pending_Verification"),
              icon: ClipBoard,
              href: "/admin/ticket/list/pending-verification",
            },
            {
              title: t("All_Tickets"),
              icon: ClipBoard,
              href: "/admin/ticket/list/all-tickets",
            },
          ],
        },
        {
          title: t("Account"),
          icon: WalletIcon,
          href: "/admin/wallets-history/list",
        },
        {
          title: t('All_Transaction'),
          icon: WalletIcon,
          child: [
            {
              title: 'All',
              icon: Note,
              href: "/admin/transaction-history/list/all",
            },
            {
              title: 'Pending',
              icon: Note,
              href: "/admin/transaction-history/list/pending",
            },
            {
              title: 'Success',
              icon: Note,
              href: "/admin/transaction-history/list/success",
            },
            {
              title: 'Failed',
              icon: Note,
              href: "/admin/transaction-history/list/failed",
            },

            {
              title: "Hold",
              icon: Note,
              href: "/admin/transaction-history/list/hold",
            },
            {
              title: t("TDS"),
              icon: Note,
              href: "/admin/transaction-history/list/tds",
            },
            {
              title: t("GST"),
              icon: Note,
              href: "/admin/transaction-history/list/gst",
            },
          ],
        },
        {
          title: t("Reports"),
          icon: PieChartSharp,
          child: [
            {
              title: "Transaction Report",
              icon: PieChartSharp,
              href: "/admin/report/list?Type=transaction",
            },

            {
              title: "Monthly GST Report",
              icon: PieChartSharp,
              href: "/admin/report/list?Type=Monthly-GST",
            },
            {
              title: "Monthly TDS Report",
              icon: PieChartSharp,
              href: "/admin/report/list?Type=Monthly-TDS",
            },

          ],
        },
      ],
    },
  };
};

export default Home;
